org.jboss.jca.embedded.dsl.datasources13.api

## Interface XaPoolType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface XaPoolType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `xa-poolType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XaPoolType<T>` | `allowMultipleUsers()` Sets the `allow-multiple-users` element
    `XaPoolType<T>` | `flushStrategy(java.lang.String flushStrategy)` Sets the `flush-strategy` element
    `java.lang.String` | `getFlushStrategy()` Returns the `flush-strategy` element
    `java.lang.Integer` | `getInitialPoolSize()` Returns the `initial-pool-size` element
    `java.lang.Integer` | `getMaxPoolSize()` Returns the `max-pool-size` element
    `java.lang.Integer` | `getMinPoolSize()` Returns the `min-pool-size` element
    `CapacityType<XaPoolType<T>>` | `getOrCreateCapacity()` If not already created, a new `capacity` element with the given value will be created.
    `ExtensionType<XaPoolType<T>>` | `getOrCreateConnectionListener()` If not already created, a new `connection-listener` element with the given value will be created.
    `XaPoolType<T>` | `initialPoolSize(java.lang.Integer initialPoolSize)` Sets the `initial-pool-size` element
    `XaPoolType<T>` | `interleaving()` Sets the `interleaving` element
    `java.lang.Boolean` | `isAllowMultipleUsers()` Removes the `allow-multiple-users` element
    `java.lang.Boolean` | `isInterleaving()` Removes the `interleaving` element
    `java.lang.Boolean` | `isIsSameRmOverride()` Returns the `is-same-rm-override` element
    `java.lang.Boolean` | `isNoTxSeparatePools()` Removes the `no-tx-separate-pools` element
    `java.lang.Boolean` | `isPadXid()` Returns the `pad-xid` element
    `java.lang.Boolean` | `isPrefill()` Returns the `prefill` element
    `XaPoolType<T>` | `isSameRmOverride(java.lang.Boolean isSameRmOverride)` Sets the `is-same-rm-override` element
    `java.lang.Boolean` | `isUseStrictMin()` Returns the `use-strict-min` element
    `java.lang.Boolean` | `isWrapXaResource()` Returns the `wrap-xa-resource` element
    `XaPoolType<T>` | `maxPoolSize(java.lang.Integer maxPoolSize)` Sets the `max-pool-size` element
    `XaPoolType<T>` | `minPoolSize(java.lang.Integer minPoolSize)` Sets the `min-pool-size` element
    `XaPoolType<T>` | `noTxSeparatePools()` Sets the `no-tx-separate-pools` element
    `XaPoolType<T>` | `padXid(java.lang.Boolean padXid)` Sets the `pad-xid` element
    `XaPoolType<T>` | `prefill(java.lang.Boolean prefill)` Sets the `prefill` element
    `XaPoolType<T>` | `removeAllowMultipleUsers()` Removes the `allow-multiple-users` element
    `XaPoolType<T>` | `removeCapacity()` Removes the `capacity` element
    `XaPoolType<T>` | `removeConnectionListener()` Removes the `connection-listener` element
    `XaPoolType<T>` | `removeFlushStrategy()` Removes the `flush-strategy` element
    `XaPoolType<T>` | `removeInitialPoolSize()` Removes the `initial-pool-size` element
    `XaPoolType<T>` | `removeInterleaving()` Removes the `interleaving` element
    `XaPoolType<T>` | `removeIsSameRmOverride()` Removes the `is-same-rm-override` element
    `XaPoolType<T>` | `removeMaxPoolSize()` Removes the `max-pool-size` element
    `XaPoolType<T>` | `removeMinPoolSize()` Removes the `min-pool-size` element
    `XaPoolType<T>` | `removeNoTxSeparatePools()` Removes the `no-tx-separate-pools` element
    `XaPoolType<T>` | `removePadXid()` Removes the `pad-xid` element
    `XaPoolType<T>` | `removePrefill()` Removes the `prefill` element
    `XaPoolType<T>` | `removeUseStrictMin()` Removes the `use-strict-min` element
    `XaPoolType<T>` | `removeWrapXaResource()` Removes the `wrap-xa-resource` element
    `XaPoolType<T>` | `useStrictMin(java.lang.Boolean useStrictMin)` Sets the `use-strict-min` element
    `XaPoolType<T>` | `wrapXaResource(java.lang.Boolean wrapXaResource)` Sets the `wrap-xa-resource` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### minPoolSize

          XaPoolType<T> minPoolSize(java.lang.Integer minPoolSize)

      Sets the `min-pool-size` element
      Parameters:
        `minPoolSize` - the value for the element `min-pool-size`
      Returns:
        the current instance of `XaPoolType`

    - #### getMinPoolSize

          java.lang.Integer getMinPoolSize()

      Returns the `min-pool-size` element
      Returns:
        the node defined for the element `min-pool-size`

    - #### removeMinPoolSize

          XaPoolType<T> removeMinPoolSize()

      Removes the `min-pool-size` element
      Returns:
        the current instance of `XaPoolType`

    - #### initialPoolSize

          XaPoolType<T> initialPoolSize(java.lang.Integer initialPoolSize)

      Sets the `initial-pool-size` element
      Parameters:
        `initialPoolSize` - the value for the element `initial-pool-size`
      Returns:
        the current instance of `XaPoolType`

    - #### getInitialPoolSize

          java.lang.Integer getInitialPoolSize()

      Returns the `initial-pool-size` element
      Returns:
        the node defined for the element `initial-pool-size`

    - #### removeInitialPoolSize

          XaPoolType<T> removeInitialPoolSize()

      Removes the `initial-pool-size` element
      Returns:
        the current instance of `XaPoolType`

    - #### maxPoolSize

          XaPoolType<T> maxPoolSize(java.lang.Integer maxPoolSize)

      Sets the `max-pool-size` element
      Parameters:
        `maxPoolSize` - the value for the element `max-pool-size`
      Returns:
        the current instance of `XaPoolType`

    - #### getMaxPoolSize

          java.lang.Integer getMaxPoolSize()

      Returns the `max-pool-size` element
      Returns:
        the node defined for the element `max-pool-size`

    - #### removeMaxPoolSize

          XaPoolType<T> removeMaxPoolSize()

      Removes the `max-pool-size` element
      Returns:
        the current instance of `XaPoolType`

    - #### prefill

          XaPoolType<T> prefill(java.lang.Boolean prefill)

      Sets the `prefill` element
      Parameters:
        `prefill` - the value for the element `prefill`
      Returns:
        the current instance of `XaPoolType`

    - #### isPrefill

          java.lang.Boolean isPrefill()

      Returns the `prefill` element
      Returns:
        the node defined for the element `prefill`

    - #### removePrefill

          XaPoolType<T> removePrefill()

      Removes the `prefill` element
      Returns:
        the current instance of `XaPoolType`

    - #### useStrictMin

          XaPoolType<T> useStrictMin(java.lang.Boolean useStrictMin)

      Sets the `use-strict-min` element
      Parameters:
        `useStrictMin` - the value for the element `use-strict-min`
      Returns:
        the current instance of `XaPoolType`

    - #### isUseStrictMin

          java.lang.Boolean isUseStrictMin()

      Returns the `use-strict-min` element
      Returns:
        the node defined for the element `use-strict-min`

    - #### removeUseStrictMin

          XaPoolType<T> removeUseStrictMin()

      Removes the `use-strict-min` element
      Returns:
        the current instance of `XaPoolType`

    - #### flushStrategy

          XaPoolType<T> flushStrategy(java.lang.String flushStrategy)

      Sets the `flush-strategy` element
      Parameters:
        `flushStrategy` - the value for the element `flush-strategy`
      Returns:
        the current instance of `XaPoolType`

    - #### getFlushStrategy

          java.lang.String getFlushStrategy()

      Returns the `flush-strategy` element
      Returns:
        the node defined for the element `flush-strategy`

    - #### removeFlushStrategy

          XaPoolType<T> removeFlushStrategy()

      Removes the `flush-strategy` element
      Returns:
        the current instance of `XaPoolType`

    - #### allowMultipleUsers

          XaPoolType<T> allowMultipleUsers()

      Sets the `allow-multiple-users` element
      Returns:
        the current instance of `XaPoolType`

    - #### isAllowMultipleUsers

          java.lang.Boolean isAllowMultipleUsers()

      Removes the `allow-multiple-users` element
      Returns:
        the current instance of `XaPoolType`

    - #### removeAllowMultipleUsers

          XaPoolType<T> removeAllowMultipleUsers()

      Removes the `allow-multiple-users` element
      Returns:
        the current instance of `XaPoolType`

    - #### getOrCreateCapacity

          CapacityType<XaPoolType<T>> getOrCreateCapacity()

      If not already created, a new `capacity` element with the given value will be created. Otherwise, the existing `capacity` element will be returned.
      Returns:
        a new or existing instance of `CapacityType>`

    - #### removeCapacity

          XaPoolType<T> removeCapacity()

      Removes the `capacity` element
      Returns:
        the current instance of `XaPoolType`

    - #### getOrCreateConnectionListener

          ExtensionType<XaPoolType<T>> getOrCreateConnectionListener()

      If not already created, a new `connection-listener` element with the given value will be created. Otherwise, the existing `connection-listener` element will be returned.
      Returns:
        a new or existing instance of `ExtensionType>`

    - #### removeConnectionListener

          XaPoolType<T> removeConnectionListener()

      Removes the `connection-listener` element
      Returns:
        the current instance of `XaPoolType`

    - #### isSameRmOverride

          XaPoolType<T> isSameRmOverride(java.lang.Boolean isSameRmOverride)

      Sets the `is-same-rm-override` element
      Parameters:
        `isSameRmOverride` - the value for the element `is-same-rm-override`
      Returns:
        the current instance of `XaPoolType`

    - #### isIsSameRmOverride

          java.lang.Boolean isIsSameRmOverride()

      Returns the `is-same-rm-override` element
      Returns:
        the node defined for the element `is-same-rm-override`

    - #### removeIsSameRmOverride

          XaPoolType<T> removeIsSameRmOverride()

      Removes the `is-same-rm-override` element
      Returns:
        the current instance of `XaPoolType`

    - #### interleaving

          XaPoolType<T> interleaving()

      Sets the `interleaving` element
      Returns:
        the current instance of `XaPoolType`

    - #### isInterleaving

          java.lang.Boolean isInterleaving()

      Removes the `interleaving` element
      Returns:
        the current instance of `XaPoolType`

    - #### removeInterleaving

          XaPoolType<T> removeInterleaving()

      Removes the `interleaving` element
      Returns:
        the current instance of `XaPoolType`

    - #### noTxSeparatePools

          XaPoolType<T> noTxSeparatePools()

      Sets the `no-tx-separate-pools` element
      Returns:
        the current instance of `XaPoolType`

    - #### isNoTxSeparatePools

          java.lang.Boolean isNoTxSeparatePools()

      Removes the `no-tx-separate-pools` element
      Returns:
        the current instance of `XaPoolType`

    - #### removeNoTxSeparatePools

          XaPoolType<T> removeNoTxSeparatePools()

      Removes the `no-tx-separate-pools` element
      Returns:
        the current instance of `XaPoolType`

    - #### padXid

          XaPoolType<T> padXid(java.lang.Boolean padXid)

      Sets the `pad-xid` element
      Parameters:
        `padXid` - the value for the element `pad-xid`
      Returns:
        the current instance of `XaPoolType`

    - #### isPadXid

          java.lang.Boolean isPadXid()

      Returns the `pad-xid` element
      Returns:
        the node defined for the element `pad-xid`

    - #### removePadXid

          XaPoolType<T> removePadXid()

      Removes the `pad-xid` element
      Returns:
        the current instance of `XaPoolType`

    - #### wrapXaResource

          XaPoolType<T> wrapXaResource(java.lang.Boolean wrapXaResource)

      Sets the `wrap-xa-resource` element
      Parameters:
        `wrapXaResource` - the value for the element `wrap-xa-resource`
      Returns:
        the current instance of `XaPoolType`

    - #### isWrapXaResource

          java.lang.Boolean isWrapXaResource()

      Returns the `wrap-xa-resource` element
      Returns:
        the node defined for the element `wrap-xa-resource`

    - #### removeWrapXaResource

          XaPoolType<T> removeWrapXaResource()

      Removes the `wrap-xa-resource` element
      Returns:
        the current instance of `XaPoolType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)